﻿using System.Diagnostics;

namespace CSLauncher.Commands
{
    internal class RunApplication : ICommand
    {
        private readonly string fileToExecute;
        private readonly string arguments;

        public RunApplication(string name, string fileToExecute, string arguments)
        {
            this.fileToExecute = fileToExecute;
            this.arguments = arguments;
            Name = name;
        }

        public string Name { get; private set; }

        public void Launch()
        {
            Process.Start(fileToExecute, arguments);
        }
    }
}
